<!DOCTYPE html>
<html lang="en">
<head>
	<meta charset="utf-8">

	<!-- Meta tag -->
	<meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">

	<title> Bootstrap Introduction & Simple Style</title>

	<!-- Bootsrap CSS -->
	<link href="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-1BmE4kWBq78iYhFldvKuhfTAU6auU8tT94WrHftjDbrCEXSU1oBoqyl2QvZ6jIW3" crossorigin="anonymous">

</head>
<body class="m-2 p-2">

	<!-- colored link and text -->
	<h1>Link Colors</h1>
	<ul class="list-unstyled">	
		<li>
			<a href="#" class="text-primary text-decoration-none">Link</a>
		</li>
		<li>
			<a href="#" class="text-secondary text-decoration-none">Link</a>
		</li>
		<li>
			<a href="#" class="text-success text-decoration-none">Link</a>
		</li>
		<li>
			<a href="#" class="text-warning text-decoration-none">Link</a>
		</li>
		<li>
			<a href="#" class="text-danger text-decoration-none">Link</a>
		</li>
		<li>
			<a href="#" class="text-dark text-decoration-none">Link</a>
		</li>
	</ul>

	<p>Lorem ipsum, dolor sit amet <span class="text-primary">consectetur adipisicing elit. </span> Mollitia culpa expedita dolorum ipsum repudiandae nemo, voluptatibus dolor doloremque perferendis impedit eius quam, excepturi, facere nulla quae voluptate iusto alias ipsa.</p>

	<!-- Background color -->

	<h1>Background colors</h1>

	<div class="bg-primary text-white">Primary</div>
	<div class="bg-secondary text-white">secondary</div>
	<div class="bg-success text-white">success</div>
	<div class="bg-warning text-white">warning</div>
	<div class="bg-danger text-white">danger</div>
	<div class="bg-dark text-white">dark</div>
	<div class="bg-info text-white">info</div>

	<!-- Text aligntment -->
	<h1>Text Alignment</h1>
	<p class="text-center m-5">Lorem ipsum dolor sit amet consectetur adipisicing elit. Molestias consequuntur expedita molestiae amet incidunt tempora sapiente totam mollitia laborum recusandae, delectus temporibus voluptates, assumenda ducimus quam facere quo eius. Molestias.</p>
	<p class="text-justify m-5">Lorem ipsum dolor sit amet consectetur adipisicing elit. Ipsam illum, at modi animi ab et incidunt magnam inventore? Beatae perspiciatis commodi quam cupiditate sequi, asperiores, odit modi. Quae, aliquam, accusamus.</p>

	<h1>Text Transform</h1>
	<p class="text-uppercase">this will be transform to uppercase</p>
	<p class="text-lowercase">THIS WILL BE TRANSFORM TO LOWERCASE</p>
	<p class="text-capitalize">this will transform to capitalized</p>

	<!-- font weight and italic -->
	<h1>Font Weight & Italics</h1>
	<p class="font-weight-bold">Bold weight</p>
	<p class="font-weight-normal">Normal Weight</p>
	<p>Light Weight</p>
	<p>Italic Text</p>

	<!-- border -->

	<h1>Border</h1>
	<img src="https://via.placeholder.com/75x75" class="border p-2 m-1">
	<img src="https://via.placeholder.com/75x75" class="border-top p-2 m-1">
	<img src="https://via.placeholder.com/75x75" class="border-bottom p-2">
	<img src="https://via.placeholder.com/75x75" class="border-end p-2">
	<img src="https://via.placeholder.com/75x75" class="border-start p-2">


	<h1>Subtract Border</h1>
	<img src="https://via.placeholder.com/75x75" class="border-0 p-2 m-1">
	<img src="https://via.placeholder.com/75x75" class="border border-top-0 p-2 m-1">
	<img src="https://via.placeholder.com/75x75" class="border border-bottom-0 p-2 m-1">
	<img src="https://via.placeholder.com/75x75" class="border border-end-0 p-2 m-1">
	<img src="https://via.placeholder.com/75x75" class="border border-start-0 border-top-0 p-2 m-1">

	<h1>Border Color</h1>
	<img src="https://via.placeholder.com/75x75" class="border border-primary m-1 p-2">
	<img src="https://via.placeholder.com/75x75" class="border border-secondary m-1 p-2">
	<img src="https://via.placeholder.com/75x75" class="border border-dark m-1 p-2">
	<img src="https://via.placeholder.com/75x75" class="border border-warning m-1 p-2">
	<img src="https://via.placeholder.com/75x75" class="border border-success m-1 p-2">
	<img src="https://via.placeholder.com/75x75" class="border border-danger m-1 p-2">
	<img src="https://via.placeholder.com/75x75" class="border border-info border-end-0 border-start-0 m-1 p-2">

	<!-- Border Radius -->

	<h1>Border Radius</h1>
	<img src="https://via.placeholder.com/75x75" class="border border-primary rounded m-1 p-2">
	<img src="https://via.placeholder.com/75x75" class="border border-secondary rounded-top m-1 p-2">
	<img src="https://via.placeholder.com/75x75" class="border border-dark rounded-bottom m-1 p-2">
	<img src="https://via.placeholder.com/75x75" class="border border-warning rounded-start m-1 p-2">
	<img src="https://via.placeholder.com/75x75" class="border border-success rounded-end m-1 p-2">
	<img src="https://via.placeholder.com/75x75" class="border border-danger rounded-circle m-1 p-2">



	<!-- Display -->
	<h1>Display</h1>
	<div class="bg-primary p-2 border d-inline">Inline Element</div>
	<span class="bg-warning p-2 border d-block">Block Element</span>
	<span class="bg-secondary p-2 border d-inline-block">Inline-block element</span>




	<!-- sizzing -->
	<h1>Sizing - Width</h1>
	<div class="bg-primary p-2 m-2 border w-25">25%</div>
	<div class="bg-secondary p-2 m-2 border w-50">50%</div>
	<div class="bg-warning p-2 m-2 border w-75">75%</div>
	<div class="bg-success p-2 m-2 border w-100">100%</div>
	<div class="bg-danger p-2 m-2 border w-a">Auto</div>


	<!-- Height -->
	<h1>Sizzing Height</h1>.
	<div class="m-2 p-2" style="height: 300px;">
		<div class="bg-primary p-2 m-2 border d-inline-block h-25">25%</div>
		<div class="bg-secondary p-2 m-2 border d-inline-block h-50 ">50%</div>
		<div class="bg-warning p-2 m-2 border d-inline-block h-75">75%</div>
		<div class="bg-success p-2 m-2 border d-inline-block h-100">100%</div>
		<div class="bg-danger p-2 m-2 border d-inline-block h-auto">Auto</div>
	</div>

	<!-- spacing -->
	<h1>Spacing</h1>

	<p class="border border-primary m-5 mb-0">Lorem ipsum, dolor sit amet consectetur adipisicing elit. Beatae, modi numquam aperiam eius, in placeat architecto voluptatem itaque, qui, fugit repudiandae voluptates dolor soluta odit tempore amet? Quaerat, natus, officiis.
	</p>

	<p class="border mx-3 mb-0">Lorem ipsum, dolor sit amet consectetur adipisicing elit. Beatae, modi numquam aperiam eius, in placeat architecto voluptatem itaque, qui, fugit repudiandae voluptates dolor soluta odit tempore amet? Quaerat, natus, officiis.</p>

	<p class="border border-danger py-4">Lorem ipsum, dolor sit amet consectetur adipisicing elit. Beatae, modi numquam aperiam eius, in placeat architecto voluptatem itaque, qui, fugit repudiandae voluptates dolor soluta odit tempore amet? Quaerat, natus, officiis.</p>

	<p class="border border-info p-5 m-5 pb-0">Lorem ipsum, dolor sit amet consectetur adipisicing elit. Beatae, modi numquam aperiam eius, in placeat architecto voluptatem itaque, qui, fugit repudiandae voluptates dolor soluta odit tempore amet? Quaerat, natus, officiis.
	</p>


</body>
</html>